> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Change the category assignments of an existing location > The user must have access to the specified location. `Write` permission of the specified location is required. Existing categories that are not included in the change request will be removed. Categories are implicitly filtered by the user's `read` permission. New categories are assigned to the location. ## OpenAPI ````json PUT /v{version}/Locations/{id}/Categories { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Locations/{id}/Categories": { "put": { "tags": [ "Locations" ], "summary": "Change the category assignments of an existing location", "description": "The user must have access to the specified location.\r\n`Write` permission of the specified location is required.\r\nExisting categories that are not included in the change request will be removed.\r\nCategories are implicitly filtered by the user's `read` permission. \r\nNew categories are assigned to the location.", "operationId": "Locations_UpdateCategories", "parameters": [ { "name": "id", "in": "path", "description": "Unique ID of the location", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Change request that contains IDs of the categories that will be assigned to the location", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "integer", "format": "int32" } } } } }, "responses": { "200": { "description": "Returns the updated list of categories.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Location.Category" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Forbidden if user doesn't have access.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Location not found.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Location.Category": { "type": "object", "properties": { "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "Id": { "type": "integer", "description": "Unique ID of the category", "format": "int32", "readOnly": true }, "Inherited": { "type": "boolean", "description": "If `true`, this category is inherited from the parent location.\r\nDefault: `false`." }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the category" }, "ParentId": { "type": "integer", "description": "Unique ID of the parent category", "format": "int32" }, "Permissions": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" } }, "description": "Permissions of the category", "readOnly": true }, "Selectable": { "type": "boolean", "description": "If `true`, the category is selectable in the IXM Platform.\r\nDefault: `false`." } }, "description": "Location's category" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````